# IPostRendererPreviewPart Struct Reference
[Shell Interfaces]

Inheritance diagram for IPostRendererPreviewPart:

List of all members.

## Public Member Functions
virtual IMFPart *MCCOMAPI | GetThisPart ()=0
virtual IShChannel *MCCOMAPI | GetGBuffer (const uint32 inBufferID)=0
virtual IShRasterLayer *MCCOMAPI | GetRendererOutput ()=0
virtual I3DShPostRenderer *MCCOMAPI | GetPostRenderer ()=0
virtual void MCCOMAPI | LocalPosToImagePos (TMCPoint &ioPoint) const =0
virtual void MCCOMAPI | ImagePosToLocalPos (TMCPoint &ioPoint) const =0
virtual boolean MCCOMAPI | ImagePosToInitialImageRelativeUVPos (const TMCPoint &inCurImgPos, TVector2 &outUVRelPos) const =0
virtual boolean MCCOMAPI | InitialImageRelativeUVPosToImagePos (const TVector2 &inUVRelPos, TMCPoint &outCurImgPos) const =0

## Detailed Description

Interface to access the "zoomable" postrenderer preview

See also:
  IMFPreviewPart

## Member Function Documentation

virtual IShChannel* MCCOMAPI IPostRendererPreviewPart::GetGBuffer | ( | const uint32 | inBufferID | ) | `[pure virtual]`

Returns one of the g buffers of the post render preview

Parameters:

  | inBufferID | ID of the gbuffer you need (as defined in I3DExPostRenderer.h, eg k32Distance)

Returns:
  A pointer to the buffer, or NULL if not found or not calculated.

virtual I3DShPostRenderer* MCCOMAPI IPostRendererPreviewPart::GetPostRenderer | ( |  | ) | `[pure virtual]`

virtual IShRasterLayer* MCCOMAPI IPostRendererPreviewPart::GetRendererOutput | ( |  | ) | `[pure virtual]`

virtual IMFPart* MCCOMAPI IPostRendererPreviewPart::GetThisPart | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IPostRendererPreviewPart::ImagePosToInitialImageRelativeUVPos | ( | const TMCPoint & | inCurImgPos,
|  | TVector2 & | outUVRelPos |
| ) |  |  | const`[pure virtual]`

Converts a point in the coordinates of the (current) rendered image/buffers into its relative position in the original (not zoomed/paned) image (relative to the original image size)

Parameters:

  | inCurImgPos | Coordinates of the current rendered image
  | outUVRelPos | Output position relative to original image size.

Returns:
  true if the conversion could be performed, false otherwise.

virtual void MCCOMAPI IPostRendererPreviewPart::ImagePosToLocalPos | ( | TMCPoint & | ioPoint | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IPostRendererPreviewPart::InitialImageRelativeUVPosToImagePos | ( | const TVector2 & | inUVRelPos,
|  | TMCPoint & | outCurImgPos |
| ) |  |  | const`[pure virtual]`

Converts the relative position of a point in the original (not zoomed/paned) image (relative to the original image size) into the coordinates of the (current) rendered image/buffers

Parameters:

  | inUVRelPos | Input position relative to original image size.
  | outCurImgPos | Output coordinates

virtual void MCCOMAPI IPostRendererPreviewPart::LocalPosToImagePos | ( | TMCPoint & | ioPoint | ) | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- IPostRendererPreviewPart.h